Foreman - Bug #12393

Overriding the parameter default value doent adds 1 to the 'Number of Values' count.
11/04/2015 07:18 AM - Jitendra Yejare

Status: Closed
Priority: Low
Assignee: Tomer Brisker
Category: Web Interface
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: 1277952 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3179
Description

Description of problem:
Overriding the parameter default value doent adds 1 to the 'Number of Values' count in parameters table in Config -> Smart Class
Parameter page.

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:

1. Override smart class parameter, set the default value.

2. Don't check 'puppet default value' checkbox.

3. See the 'Number Of Values' column for that parameter in Config -> Smart Class Parameters.

Actual results:
The count doesn't adds 1 to the 'Number of Values' for that parameter.

Expected results:
The count for 'Number of Values' should be increased by 1.

Associated revisions

Revision c49222be - 02/16/2016 08:15 AM - Tomer Brisker

Fixes #12393 - Clarify parameter override count column header

History

#1 - 11/04/2015 07:21 AM - Dominic Cleal

- Status changed from New to Feedback

- translation missing: en.field_release deleted (71)
Please don't set the release field.

Setting the default value is not creating an override, that's the section at the bottom of the form with specific matchers. This appears to be correct
behaviour to me.

#2 - 01/07/2016 05:51 AM - Jitendra Yejare
Dominic Cleal wrote:
Please don't set the release field.

Setting the default value is not creating an override, that's the section at the bottom of the form with specific matchers. This appears to be
correct behaviour to me.
But the column says the 'number of values' the parameter has and by giving default value which is atleast one value. And so | believe this needs to be
fixed.
It will also help to identify that What are the parameters whose only default value has been overrided from table itself.

#3 - 01/07/2016 06:27 AM - Dominic Cleal
- Status changed from Feedback to New
- Assignee deleted (Tomer Brisker)

- Priority changed from Normal to Low

It'd be better to call it the number of overrides since it's a counter, and if you need some way to indicate the presence of a default value, to indicate it
another way.

#4 - 02/14/2016 08:26 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/3179 added

#5 - 02/16/2016 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c49222be9e98155f73d83e21448eb8369c89ff01.

#6 - 02/16/2016 09:07 AM - Dominic Cleal

- translation missing: en.field_release set to 71
